> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List rewards

> List rewards and filter them by partner and/or date range.



## OpenAPI

````yaml /openapi.json get /v3/rewards
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/rewards:
    get:
      tags:
        - Rewards
      summary: List rewards
      description: List rewards and filter them by partner and/or date range.
      parameters:
        - name: offset
          in: query
          description: >-
            The cursor used in pagination. This is the index of the first
            transaction to be returned.
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: >-
            The maximum number of transactions to be returned. The default is
            20.
          schema:
            type: integer
            format: int32
        - name: sort_by
          in: query
          description: >-
            The property used to sort the transactions by. The default is
            CreationDate.
          schema:
            type: string
            example: CreationDate
          example: CreationDate
        - name: order_by
          in: query
          description: >-
            The sorting direction for the returned transactions. Accepted
            values: ASC, DESC. The default is DESC.
          schema:
            type: string
        - name: from
          in: query
          description: From date inclusive
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          description: To date exclusive
          schema:
            type: string
            format: date-time
        - name: partner_id
          in: query
          description: The partner ID
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Rewards returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RewardListResponseDto'
      security:
        - oauth2:
            - Api
            - Api
components:
  schemas:
    RewardListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/RewardDto'
          nullable: true
      additionalProperties: false
    RewardDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        uniqueId:
          type: string
          nullable: true
        partnerId:
          type: integer
          format: int32
        dealId:
          type: integer
          format: int32
          nullable: true
        status:
          $ref: '#/components/schemas/RewardStatus'
        creationDate:
          type: string
          format: date-time
        amount:
          $ref: '#/components/schemas/AmountDto'
        payoutId:
          type: integer
          format: int32
          nullable: true
        comment:
          type: string
          nullable: true
        rewardType:
          $ref: '#/components/schemas/RewardType'
        properties:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    RewardStatus:
      enum:
        - Unknown
        - Pending
        - Accepted
        - Paid
        - Declined
      type: string
    AmountDto:
      type: object
      properties:
        value:
          type: number
          format: double
        currency:
          type: string
          nullable: true
      additionalProperties: false
    RewardType:
      enum:
        - Unknown
        - Cash
        - Coupon
        - Credit
        - GiftCard
      type: string

````